
// marker_recogDlg.h : header file
//

#pragma once

#include "CamOpenCV.h"
#include "MarkerDetection.h"

// Cmarker_recogDlg dialog
class Cmarker_recogDlg : public CDialog
{
// Construction
public:
	Cmarker_recogDlg(CWnd *pParent = NULL);	// standard constructor

	CCamOpenCV *_camera;
	CMarkerDetection  *_markRecog;
	CRect _dispRect;

// Dialog Data
	enum { IDD = IDD_MARKER_RECOG_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange *pDX);	// DDX/DDV support

private:
	void DrawMarkerAxis (sMarkerInfo &mi);


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnDestroy();
};
